GLFW

- Documentation
- Download
- Community

Macros
Mouse buttons
Input reference

## Description

See mouse button input for how these are used.

## Macros
#define | GLFW_MOUSE_BUTTON_1 0
#define | GLFW_MOUSE_BUTTON_2 1
#define | GLFW_MOUSE_BUTTON_3 2
#define | GLFW_MOUSE_BUTTON_4 3
#define | GLFW_MOUSE_BUTTON_5 4
#define | GLFW_MOUSE_BUTTON_6 5
#define | GLFW_MOUSE_BUTTON_7 6
#define | GLFW_MOUSE_BUTTON_8 7
#define | GLFW_MOUSE_BUTTON_LAST GLFW_MOUSE_BUTTON_8
#define | GLFW_MOUSE_BUTTON_LEFT GLFW_MOUSE_BUTTON_1
#define | GLFW_MOUSE_BUTTON_RIGHT GLFW_MOUSE_BUTTON_2
#define | GLFW_MOUSE_BUTTON_MIDDLE GLFW_MOUSE_BUTTON_3

## Macro Definition Documentation

## ◆ GLFW_MOUSE_BUTTON_1

#define GLFW_MOUSE_BUTTON_1 0

## ◆ GLFW_MOUSE_BUTTON_2

#define GLFW_MOUSE_BUTTON_2 1

## ◆ GLFW_MOUSE_BUTTON_3

#define GLFW_MOUSE_BUTTON_3 2

## ◆ GLFW_MOUSE_BUTTON_4

#define GLFW_MOUSE_BUTTON_4 3

## ◆ GLFW_MOUSE_BUTTON_5

#define GLFW_MOUSE_BUTTON_5 4

## ◆ GLFW_MOUSE_BUTTON_6

#define GLFW_MOUSE_BUTTON_6 5

## ◆ GLFW_MOUSE_BUTTON_7

#define GLFW_MOUSE_BUTTON_7 6

## ◆ GLFW_MOUSE_BUTTON_8

#define GLFW_MOUSE_BUTTON_8 7

## ◆ GLFW_MOUSE_BUTTON_LAST

#define GLFW_MOUSE_BUTTON_LAST GLFW_MOUSE_BUTTON_8

## ◆ GLFW_MOUSE_BUTTON_LEFT

#define GLFW_MOUSE_BUTTON_LEFT GLFW_MOUSE_BUTTON_1

## ◆ GLFW_MOUSE_BUTTON_RIGHT

#define GLFW_MOUSE_BUTTON_RIGHT GLFW_MOUSE_BUTTON_2

## ◆ GLFW_MOUSE_BUTTON_MIDDLE

#define GLFW_MOUSE_BUTTON_MIDDLE GLFW_MOUSE_BUTTON_3